#include <iostream>
#include <windows.h>

int main(void)
{
	WIN32_FIND_DATA w32findData;
	HANDLE hFind;
	/* pluginフォルダ直下の「.dll」ファイルを検索する */
	hFind = FindFirstFile(".\\plugin\\*.dll", &w32findData);
	if (hFind == INVALID_HANDLE_VALUE) {
		std::cout << "There is no plugin." << std::endl;
		return -1;
	}
	do {
		/* 検索パターンにマッチするファイル名を出力する */
		std::cout << w32findData.cFileName << std::endl;

	/* 次のファイルを検索する。存在しなければ、戻り値はfalseとなる */
	} while( FindNextFile(hFind, &w32findData) );

	/* 検索を終了する */
	FindClose(hFind);

	return 0;
}
